Cyberduck Mountain Duck CLI

#7938 closed enhancement (fixed)

ECDSA public key authentication

Reported by: pavarotti Owned by: dkocher
Priority: high Milestone: 4.5
Component: sftp Version: Nightly Build
Severity: normal Keywords:
Cc: jskier@… Architecture: Intel
Platform:

Description (last modified by dkocher)

The key format is a little different from RSA/DSA/ECDSA, and is supported from OpenSSH 6.6. There is also a new faster cipher called chacha20-poly1305, which is now default on OpenSSH 6.6 and above.

Do you need me to provide ssh -vvvv log of how it looks?

Thanks

Change History (11)

comment:1 Changed on May 7, 2014 at 6:30:10 AM by dkocher

  • Component changed from core to sftp
  • Milestone set to 4.5
  • Owner set to dkocher
  • Status changed from new to assigned
  • Summary changed from Please add support to new OpenSSH ed25519 key auth to Support to new OpenSSH ed25519 key auth

comment:2 Changed on May 8, 2014 at 3:32:59 PM by jskier

  • Cc jskier@… added

I would also like to see support for ECDSA public key auth.

comment:3 Changed on May 8, 2014 at 6:48:58 PM by dkocher

  • Summary changed from Support to new OpenSSH ed25519 key auth to ECDSA public key authentication

comment:4 Changed on May 9, 2014 at 1:30:30 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

Added failing test in r7938.

comment:5 in reply to: ↑ description Changed on May 9, 2014 at 2:23:11 PM by dkocher

Replying to pavarotti:

There is also a new faster cipher called chacha20-poly1305, which is now default on OpenSSH 6.6 and above.

Please open a separate ticket.

comment:6 Changed on May 9, 2014 at 2:23:28 PM by dkocher

  • Description modified (diff)

comment:7 Changed on May 14, 2014 at 10:35:20 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:9 Changed on May 14, 2014 at 10:35:56 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:10 Changed on Jun 5, 2014 at 12:10:50 PM by dkocher

Added test for known_host entries in r14717.

comment:11 Changed on Jun 22, 2018 at 9:08:32 AM by dkocher

See also #10130.

Note: See TracTickets for help on using tickets.
swiss made software